This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 831571 - Slow network (iwlwifi) after update to 3.4 kernel
Slow network (iwlwifi) after update to 3.4 kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 06:43 EDT by Roman Kennke
Modified: 2012-06-23 17:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-15 16:05:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Comment (150.99 KB, text/plain)
2012-06-15 05:04 EDT, Roman Kennke
no flags Details

  None (edit)
Description Roman Kennke 2012-06-13 06:43:47 EDT
Description of problem:

After today's update of the kernel to 3.4, my network is superslow and times out regularily. I am using an Intel chip with iwlwifi (Lenovo T520 Thinkpad). Rebooting to older 3.3.x kernel works fine (therefore it's not my router/network/whatever). Please let me know what other info you need for diagnosing.

Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:
1. Update to 3.4 kernel on computer with Intel chipset / iwlwifi
2. Connect to network using wifi
3. 
  
Actual results:

Browser pages load very slow, if at all (frequent timeouts), IRC, email, etc connection either very slow or timeouts.

Expected results:

Network should work fine.

Additional info: Please let me know what you need.
Comment 1 Roman Kennke 2012-06-13 06:44:28 EDT
Kernel version is 3.4.0-1.fc17.
Comment 2 Josh Boyer 2012-06-13 08:26:30 EDT
There are a couple of iwlwifi fixes committed in Fedora git.  You might try the scratch build Thorsten did in bug 825491

http://koji.fedoraproject.org/koji/taskinfo?taskID=4145432

Unfortunately, upstream iwlwifi has been rather bug ridden for the past couple of releases.
Comment 3 Roman Kennke 2012-06-15 05:04:00 EDT
Created attachment 915462 [details]
Comment

(This comment was longer than 65,535 characters and has been moved to an attachment by Red Hat Bugzilla).
Comment 4 Roman Kennke 2012-06-15 16:05:46 EDT
Duh. I had wd_disable=1 set for iwlwifi module. Removing this fixes the problem.
Comment 5 moondrake 2012-06-23 17:35:29 EDT
I'd say this needs to be reopened: An update in a fedora kernel caused a significant regression. 

It has always worked without any major problems but after updating today to 3.4.2 I get things like:
[  951.609456] iwlwifi 0000:03:00.0: GF was set with SGI:SISO
(a million time until your disk is full, also makes connection slow, covered in bug Bug 832094)

and now suddenly:
[  351.882096] iwlwifi 0000:03:00.0: Queue 12 stuck for 2000 ms.
[  351.882103] iwlwifi 0000:03:00.0: Current SW read_ptr 135 write_ptr 192
[  351.882135] iwlwifi 0000:03:00.0: Current HW read_ptr 135 write_ptr 192
[  351.882139] iwlwifi 0000:03:00.0: On demand firmware reload
[  351.882550] ieee80211 phy0: Hardware restart was requested
[  351.882600] iwlwifi 0000:03:00.0: L1 Disabled; Enabling L0S

after wich the connection was completely unusable. I have never seen either problem before.

Unless the iwlwifi updates fixed a real problem, please at least consider reverting some of the recent patches.

Note You need to log in before you can comment on or make changes to this bug.